Bug 426885 - Review Request: odccm - Connection daemon for Pocket PC devices for Windows Mobile 5
Review Request: odccm - Connection daemon for Pocket PC devices for Windows M...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 428237
  Show dependency treegraph
 
Reported: 2007-12-27 18:19 EST by Andreas Bierfert
Modified: 2014-06-17 02:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-10 17:16:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andreas Bierfert 2007-12-27 18:19:26 EST
Spec URL: http://fedora.lowlatency.de/review/odccm.spec
SRPM URL: http://fedora.lowlatency.de/review/odccm-0.10.0-1.fc9.src.rpm
Description:
Odccm is a legacy-free dccm-implementation for Windows Mobile 5 (and newer)
devices.
Comment 1 Parag AN(पराग) 2007-12-28 05:43:12 EST
rpmlint on RPM reported as =>
odccm.i386: E: setuid-binary /usr/sbin/odccm root 04755
 ==> The file is setuid, this may be dangerous, especially if this 
file is setuid root.

odccm.i386: E: non-standard-executable-perm /usr/sbin/odccm 04755
 ==> A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

odccm.i386: W: conffile-without-noreplace-flag /etc/dbus-1/system.d/odccm.conf
 ==> A configuration file is stored in your package without the noreplace flag.
A way to resolve this is to put the following in your SPEC file:

%config(noreplace) /etc/your_config_file_here

Comment 2 Andreas Bierfert 2007-12-28 06:10:27 EST
Well while I don't like either one they are all 'ok' from the package side.
Odccm needs to be setuid for now. Imho also the dbus config should not be
noreplace because it sets the dbus behavior and may change and should be
replaced then.
Comment 3 Andreas Bierfert 2008-01-05 07:06:41 EST
http://fedora.lowlatency.de/review/odccm-0.11-0.1.3141svn.fc9.src.rpm
http://fedora.lowlatency.de/review/odccm.spec

This one should resolve the setuid issue. I have been talking to upstream and
odccm is now started via init.d.
Comment 4 Aurelien Bompard 2008-01-06 07:20:15 EST
rpmlint says :
- missing-mandatory-lsb-keyword Provides in /etc/rc.d/init.d/odccm
- zero-length /usr/share/doc/odccm-0.11/NEWS (not really a problem IMHO)

Odccm listens by default on all interfaces, and is started by default in the
init script. Please make it listen on localhost if possible, and if it's not
don't start it by default (security risk)

Thanks, it's looking good !
Comment 5 Andreas Bierfert 2008-01-07 03:05:18 EST
http://fedora.lowlatency.de/review/odccm-0.11-0.2.3141svn.fc9.src.rpm

This should do the trick.
Comment 6 Andreas Bierfert 2008-01-07 18:07:01 EST
Small fix to start the service later in the init cycle. Also the right fix for
non default starting.

http://fedora.lowlatency.de/review/odccm-0.11-0.3.3141svn.fc9.src.rpm
Comment 7 Parag AN(पराग) 2008-01-07 22:28:45 EST
with updated SRPM I got rpmlint to say

 odccm.i386: W: conffile-without-noreplace-flag /etc/dbus-1/system.d/odccm.conf
A configuration file is stored in your package without the noreplace flag.
A way to resolve this is to put the following in your SPEC file:

%config(noreplace) /etc/your_config_file_here


odccm.i386: E: init-script-without-chkconfig-postin /etc/rc.d/init.d/odccm
The package contains an init script but doesn't contain a %post with
a call to chkconfig.

odccm.i386: W: service-default-enabled /etc/rc.d/init.d/odccm
The service is enabled by default after "chkconfig --add"; for security
reasons, most services should not be. Use "-" as the default runlevel in the
init script's "chkconfig:" line and/or remove the "Default-Start:" LSB keyword
to fix this if appropriate for this service.

Comment 8 Andreas Bierfert 2008-01-08 02:54:01 EST
Sorry my bad. Here is a version which finally fixes all the init stuff.

Regarding the dbus file: As with other packages the dbus config files should not
be marked noreplace... so this warning from rpmlint can be ignored.

http://fedora.lowlatency.de/review/odccm-0.11-0.4.3141svn.fc9.src.rpm
Comment 9 Andreas Bierfert 2008-01-09 10:26:26 EST
http://fedora.lowlatency.de/review/odccm-0.11-1.fc9.x86_64.rpm

Final version + I removed synce-gnome. I will submit it as a separate package.
Comment 10 Parag AN(पराग) 2008-01-09 22:43:25 EST
SRPM please?
Comment 11 Andreas Bierfert 2008-01-10 02:46:29 EST
uh sorry c&p error
http://fedora.lowlatency.de/review/odccm-0.11-1.fc9.src.rpm
Comment 12 Parag AN(पराग) 2008-01-10 03:43:54 EST
Review:
+ package builds in mock (rawhide i386).
+ rpmlint is silent for SRPM. But NOT for RPM.
odccm.i386: W: conffile-without-noreplace-flag /etc/dbus-1/system.d/odccm.conf
=>Ok for this package
+ source files match upstream.
ed830920a91573215d2497c09bd5a310  odccm-0.11.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags used correctly.
+ defattr usage is correct
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ chkconfig scriptlets are used.
+ Package odccm-0.11-1.fc9 =>
  Provides: config(odccm) = 0.11-1.fc9
  Requires: /bin/bash config(odccm) = 0.11-1.fc9 libc.so.6 libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libdbus-1.so.3
libdbus-glib-1.so.2 libglib-2.0.so.0 libgnet-2.0.so.0 libgobject-2.0.so.0
libgthread-2.0.so.0 libhal.so.1 libpthread.so.0 libpthread.so.0(GLIBC_2.0)
librt.so.1 libsynce.so.0 
+ Not a GUI app.

APPROVED.
Comment 13 Andreas Bierfert 2008-01-10 04:13:48 EST
New Package CVS Request
=======================
Package Name: odccm
Short Description: Connection daemon for Pocket PC devices
Owners: awjb
Branches: F-8
Cvsextras Commits: yes
Comment 14 Kevin Fenzi 2008-01-10 11:40:51 EST
cvs done.
Comment 15 Andreas Bierfert 2008-01-10 17:16:39 EST
Thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.